{
    "doc": "A report event holds all the information about why a given variant is relevant to report. The same variant may have\n    several report events. For instance, we may have two report events from the tiering process when two panels are\n    analysed, a positive report from a Genomic Medicine Centre (GMC) will correspond to an additional report event.",
    "fields": [
        {
            "doc": "Unique identifier for each report event, this is unique across the whole report. A report having more than one\n        report event with the same identifier is invalid. Repeating report event identifiers between different reports\n        is valid. The uniqueness of this field will be checked in report validation",
            "name": "reportEventId",
            "type": "string"
        },
        {
            "doc": "The list of phenotypes",
            "name": "phenotypes",
            "type": {
                "doc": "Oontology term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
                "fields": [
                    {
                        "doc": "The non standardised phenotypes (i.e.: may be free text)",
                        "name": "nonStandardPhenotype",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "The standardised phenotypes (i.e.: controlled terminology)",
                        "name": "standardPhenotypes",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "doc": "Standard phenotype term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
                                    "fields": [
                                        {
                                            "name": "id",
                                            "type": "string"
                                        },
                                        {
                                            "name": "name",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "namespace",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "definition",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "comment",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "alternativeIds",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "synonyms",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "isA",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "The ontology (e.g.: HPO, OMIM, SNOMED CT)",
                                            "name": "ontology",
                                            "type": {
                                                "doc": "The ontology to which a standard term belongs",
                                                "fields": [
                                                    {
                                                        "name": "name",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "name": "version",
                                                        "type": "string"
                                                    }
                                                ],
                                                "name": "Ontology",
                                                "type": "record"
                                            }
                                        },
                                        {
                                            "doc": "The match between the non standard phenotype and this term when in silico",
                                            "name": "matchScore",
                                            "type": [
                                                "null",
                                                "float"
                                            ]
                                        }
                                    ],
                                    "name": "StandardPhenotype",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        ]
                    }
                ],
                "name": "Phenotypes",
                "type": "record"
            }
        },
        {
            "doc": "Sequence Ontology terms for relevant consequence types for this report event",
            "name": "variantConsequences",
            "type": {
                "items": {
                    "doc": "A variant consequence as defined by the Sequence Ontology (SO) (e.g.: id = SO:0001816 ; name = non synonymous)\n    NOTE: this record is equivalent to OpenCB's `ConsequenceType`, but we want to avoid naming collisions",
                    "fields": [
                        {
                            "doc": "The SO term identifier (e.g.: SO:0001816)",
                            "name": "id",
                            "type": "string"
                        },
                        {
                            "doc": "The SO term name (e.g.: non synonymous)",
                            "name": "name",
                            "type": [
                                "null",
                                "string"
                            ]
                        }
                    ],
                    "name": "VariantConsequence",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "The panel of genes to which this report corresponds",
            "name": "genePanel",
            "type": [
                "null",
                {
                    "doc": "A panel of genes",
                    "fields": [
                        {
                            "doc": "Panel name used",
                            "name": "panelIdentifier",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "Panel name used",
                            "name": "panelName",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "Panel version",
                            "name": "panelVersion",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "source i.e, PanelApp",
                            "name": "source",
                            "type": [
                                "null",
                                "string"
                            ]
                        }
                    ],
                    "name": "GenePanel",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "Mode of inheritance used to analyse the family",
            "name": "modeOfInheritance",
            "type": {
                "doc": "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown",
                "name": "ModeOfInheritance",
                "symbols": [
                    "monoallelic",
                    "monoallelic_not_imprinted",
                    "monoallelic_maternally_imprinted",
                    "monoallelic_paternally_imprinted",
                    "biallelic",
                    "monoallelic_and_biallelic",
                    "monoallelic_and_more_severe_biallelic",
                    "xlinked_biallelic",
                    "xlinked_monoallelic",
                    "mitochondrial",
                    "unknown",
                    "na"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "The list of genomic features of interest for this report event. Please note that one variant can overlap more\n        that one gene/transcript. If more than one gene/transcript is considered interesting for this particular\n        variant, should be reported in two different ReportEvents",
            "name": "genomicEntities",
            "type": {
                "items": {
                    "doc": "A genomic feature",
                    "fields": [
                        {
                            "doc": "The type of the genomic entity",
                            "name": "type",
                            "type": {
                                "doc": "Types of genomic features:\n\n* `regulatory_region`: a regulatory region\n* `gene`: a gene\n* `transcript`: a transcript\n* `intergenic`: an intergenic region",
                                "name": "GenomicEntityType",
                                "symbols": [
                                    "regulatory_region",
                                    "gene",
                                    "transcript",
                                    "intergenic",
                                    "gene_fusion",
                                    "genomic_region",
                                    "cytobands"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "doc": "Ensembl identifier for the feature (e.g, ENST00000544455)",
                            "name": "ensemblId",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "The HGNC gene symbol. This field is optional, BUT it should be filled if possible",
                            "name": "geneSymbol",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "Others identifiers for this genomic feature",
                            "name": "otherIds",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "Source i.e, esenmbl",
                                                "name": "source",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "identifier",
                                                "name": "identifier",
                                                "type": "string"
                                            }
                                        ],
                                        "name": "Identifier",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "GenomicEntity",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "Segregation pattern if any calculated using the genotypes information of a family",
            "name": "segregationPattern",
            "type": [
                "null",
                {
                    "name": "SegregationPattern",
                    "symbols": [
                        "UniparentalIsodisomy",
                        "SimpleRecessive",
                        "CompoundHeterozygous",
                        "deNovo",
                        "InheritedAutosomalDominant",
                        "InheritedAutosomalDominantMaternallyImprinted",
                        "InheritedAutosomalDominantPaternallyImprinted",
                        "XLinkedCompoundHeterozygous",
                        "XLinkedSimpleRecessive",
                        "XLinkedMonoallelic",
                        "MitochondrialGenome"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "This is the penetrance assumed for scoring or classifying this variant",
            "name": "penetrance",
            "type": [
                "null",
                {
                    "doc": "Penetrance assumed in the analysis",
                    "name": "Penetrance",
                    "namespace": "org.gel.models.participant.avro",
                    "symbols": [
                        "complete",
                        "incomplete"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Likelihood of being a de novo variant",
            "name": "deNovoQualityScore",
            "type": [
                "null",
                "float"
            ]
        },
        {
            "doc": "Flag to indicate if this variant using this mode of inheritance can fully explain the phenotype",
            "name": "fullyExplainsPhenotype",
            "type": [
                "null",
                "boolean"
            ]
        },
        {
            "doc": "This value groups variants that together could explain the phenotype according to the mode of inheritance used.\n        (e.g.: compound heterozygous). All the variants in the same report sharing the same value will be considered in\n        the same group (i.e.: reported together). This value is an integer unique in the whole report.\n        These values are only relevant within the same report.",
            "name": "groupOfVariants",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "This is the description of why this variant would be reported, for example that it affects the protein in this way\n        and that this gene has been implicated in this disorder in these publications. Publications should be provided as PMIDs\n        using the format [PMID:8075643]. Other sources can be used in the same manner, e.g. [OMIM:163500]. Brackets need to be included.",
            "name": "eventJustification",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The role of this variant in cancer if any",
            "name": "roleInCancer",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "The role of a given genomic feature in cancer\n\n* `NCIT_C16936`: oncogene. A gene that is a mutated (changed) form of a gene involved in normal cell growth. Oncogenes may cause the growth of cancer cells. Mutations in genes that become oncogenes can be inherited or caused by being exposed to substances in the environment that cause cancer. http://purl.obolibrary.org/obo/NCIT_C16936\n* `NCIT_C17362`: tumor_suppressor_gene. A type of gene that makes a protein called a tumor suppressor protein that helps control cell growth. Mutations (changes in DNA) in antioncogenes may lead to cancer. http://purl.obolibrary.org/obo/NCIT_C17362",
                        "name": "RoleInCancer",
                        "symbols": [
                            "oncogene",
                            "tumor_suppressor_gene",
                            "both"
                        ],
                        "type": "enum"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Actions can be taken on the variant if any",
            "name": "actions",
            "type": [
                "null",
                {
                    "doc": "Clinical actions",
                    "fields": [
                        {
                            "name": "trials",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this trail can be found",
                                                "name": "studyUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Trail/Study indetifier",
                                                "name": "studyIdentifier",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Start date of the study",
                                                "name": "startDate",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Completion date of the study",
                                                "name": "estimateCompletionDate",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Title of the study",
                                                "name": "title",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Study Phase",
                                                "name": "phase",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "N/A: Trials without phases (for example, studies of devices or behavioural interventions).\n    Early Phase 1 (Formerly listed as \"Phase 0\"): Exploratory trials, involving very limited human exposure, with no therapeutic or diagnostic intent (e.g., screening studies, microdose studies). See FDA guidance on exploratory IND studies for more information.\n    Phase 1: Includes initial studies to determine the metabolism and pharmacologic actions of drugs in humans, the side effects associated with increasing doses, and to gain early evidence of effectiveness; may include healthy participants and/or patients.\n    Phase 1/Phase 2: Trials that are a combination of phases 1 and 2.\n    Phase 2: Includes controlled clinical studies conducted to evaluate the effectiveness of the drug for a particular indication or indications in participants with the disease or condition under study and to determine the common short-term side effects and risks.\n    Phase 2/Phase 3: Trials that are a combination of phases 2 and 3.\n    Phase 3: Includes trials conducted after preliminary evidence suggesting effectiveness of the drug has been obtained, and are intended to gather additional information to evaluate the overall benefit-risk relationship of the drug.\n    Phase 4: Studies of FDA-approved drugs to delineate additional information including the drug's risks, benefits, and optimal use.",
                                                        "name": "StudyPhase",
                                                        "symbols": [
                                                            "na",
                                                            "early_phase1",
                                                            "phase1",
                                                            "phase1_phase2",
                                                            "phase2",
                                                            "phase2_phase3",
                                                            "phase3",
                                                            "phase4"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Interventions",
                                                "name": "interventions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": {
                                                            "doc": "A process or action that is the focus of a clinical study.\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.html",
                                                            "fields": [
                                                                {
                                                                    "doc": "Intervention type, i.e drug",
                                                                    "name": "interventionType",
                                                                    "type": {
                                                                        "doc": "For each intervention studied in the clinical study, the general type of intervention\n\n* `drug`: Including placebo\n* `device`: Including sham\n* `biological`: Vaccine\n* `procedure`: Surgery\n* `radiation`\n* `behavioral`: For example, psychotherapy, lifestyle counselling\n* `genetic`: Including gene transfer, stem cell and recombinant DNA\n* `dietary_supplement`: For example, vitamins, minerals\n* `combination_product`: Combining a drug and device, a biological product and device; a drug and biological product; or a drug, biological product, and device\n* `diagnostic_test`: For example, imaging, in-vitro\n* `other`\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                                                                        "name": "InterventionType",
                                                                        "symbols": [
                                                                            "drug",
                                                                            "device",
                                                                            "procedure",
                                                                            "biological",
                                                                            "radiation",
                                                                            "behavioral",
                                                                            "genetic",
                                                                            "dietary_supplement",
                                                                            "combination_product",
                                                                            "diagnostic_test",
                                                                            "other"
                                                                        ],
                                                                        "type": "enum"
                                                                    }
                                                                },
                                                                {
                                                                    "doc": "Intervention name: Placebo",
                                                                    "name": "interventionName",
                                                                    "type": "string"
                                                                }
                                                            ],
                                                            "name": "Intervention",
                                                            "type": "record"
                                                        },
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Primary Purpose of the study",
                                                "name": "primaryPurpose",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "Treatment: One or more interventions are being evaluated for treating a disease, syndrome, or condition.\n    Prevention: One or more interventions are being assessed for preventing the development of a specific disease or health condition.\n    Diagnostic: One or more interventions are being evaluated for identifying a disease or health condition.\n    Supportive Care: One or more interventions are evaluated for maximizing comfort, minimizing side effects, or mitigating against a decline in the participant's health or function.\n    Screening: One or more interventions are assessed or examined for identifying a condition, or risk factors for a condition, in people who are not yet known to have the condition or risk factor.\n    Health Services Research: One or more interventions for evaluating the delivery, processes, management, organization, or financing of healthcare.\n    Basic Science: One or more interventions for examining the basic mechanism of action (for example, physiology or biomechanics of an intervention).\n    Device Feasibility: An intervention of a device product is being evaluated in a small clinical trial (generally fewer than 10 participants) to determine the feasibility of the product; or a clinical trial to test a prototype device for feasibility and not health outcomes. Such studies are conducted to confirm the design and operating specifications of a device before beginning a full clinical trial.\n    Other: None of the other options applies.\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                                                        "name": "PrimaryPurpose",
                                                        "symbols": [
                                                            "treatment",
                                                            "prevention",
                                                            "diagnostic",
                                                            "supportive_care",
                                                            "screening",
                                                            "health_services_research",
                                                            "basic_science",
                                                            "device_feasibility",
                                                            "other"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Study Type",
                                                "name": "studyType",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "* `Interventional (clinical trial)`: Participants are assigned prospectively to an intervention or interventions\naccording to a protocol to evaluate the effect of the intervention(s) on biomedical or other health related outcomes.\n* `Observational`: Studies in human beings in which biomedical and/or health outcomes are assessed in pre-defined groups\nof individuals. Participants in the study may receive diagnostic, therapeutic, or other interventions, but the\ninvestigator does not assign specific interventions to the study participants. This includes when participants\nreceive interventions as part of routine medical care, and a researcher studies the effect of the intervention.\n* `Expanded Access`: An investigational drug product (including biological product)\navailable through expanded access for patients who do not qualify for enrollment in a clinical trial.\nExpanded Access includes all expanded access types under section 561 of the Federal Food, Drug, and\nCosmetic Act: (1) for individual patients, including emergency use; (2) for intermediate-size patient populations;\nand (3) under a treatment IND or treatment protocol. (For more information on data requirements for this Study Type,\nsee Expanded Access Data Element Definitions).",
                                                        "name": "StudyType",
                                                        "symbols": [
                                                            "interventional",
                                                            "observational",
                                                            "patient_registry",
                                                            "expanded_access"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Elegigility Criteria based on Age and Sex",
                                                "name": "demogrphicElegibilityCriteria",
                                                "type": [
                                                    "null",
                                                    {
                                                        "fields": [
                                                            {
                                                                "name": "sex",
                                                                "type": {
                                                                    "doc": "Sex",
                                                                    "name": "Sex",
                                                                    "namespace": "org.gel.models.participant.avro",
                                                                    "symbols": [
                                                                        "MALE",
                                                                        "FEMALE",
                                                                        "UNKNOWN"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            },
                                                            {
                                                                "name": "ageRange",
                                                                "type": [
                                                                    "null",
                                                                    {
                                                                        "fields": [
                                                                            {
                                                                                "name": "minimumAge",
                                                                                "type": "int"
                                                                            },
                                                                            {
                                                                                "name": "maximumAge",
                                                                                "type": "int"
                                                                            },
                                                                            {
                                                                                "name": "timeunit",
                                                                                "type": {
                                                                                    "name": "TimeUnit",
                                                                                    "symbols": [
                                                                                        "years",
                                                                                        "months",
                                                                                        "weeks",
                                                                                        "days",
                                                                                        "hours",
                                                                                        "minutes",
                                                                                        "na"
                                                                                    ],
                                                                                    "type": "enum"
                                                                                }
                                                                            }
                                                                        ],
                                                                        "name": "AgeRange",
                                                                        "type": "record"
                                                                    }
                                                                ]
                                                            }
                                                        ],
                                                        "name": "DemographicElegibilityCriteria",
                                                        "type": "record"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "List with all of the locations where participant can enrolle",
                                                "name": "locations",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": {
                                                            "fields": [
                                                                {
                                                                    "name": "name",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                },
                                                                {
                                                                    "name": "city",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                },
                                                                {
                                                                    "name": "country",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                },
                                                                {
                                                                    "name": "zip",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                }
                                                            ],
                                                            "name": "TrialLocation",
                                                            "type": "record"
                                                        },
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made using the variant information,\n        if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "Trial",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "prognosis",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this prognosis can be found",
                                                "name": "referenceUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Prognosis classification (defined as favourable or unfavourable),\n        in the case that the direction of the prognosis is not known altered_prognosis should be used",
                                                "name": "prognosis",
                                                "type": [
                                                    "null",
                                                    {
                                                        "name": "PrognosisClassification",
                                                        "symbols": [
                                                            "altered_prognosis",
                                                            "favourable_prognosis",
                                                            "unfavourable_prognosis"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Source if known",
                                                "name": "source",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "References",
                                                "name": "references",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Full description of the associated prognosis",
                                                "name": "description",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "Prognosis",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "therapies",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this therapy association can be found",
                                                "name": "referenceUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Source",
                                                "name": "source",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "References",
                                                "name": "references",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Drug responses",
                                                "name": "drugResponse",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": {
                                                            "fields": [
                                                                {
                                                                    "doc": "Treatment agent",
                                                                    "name": "TreatmentAgent",
                                                                    "type": "string"
                                                                },
                                                                {
                                                                    "doc": "associated effect of the drug",
                                                                    "name": "drugResponseClassification",
                                                                    "type": {
                                                                        "name": "DrugResponseClassification",
                                                                        "symbols": [
                                                                            "altered_sensitivity",
                                                                            "reduced_sensitivity",
                                                                            "increased_sensitivity",
                                                                            "altered_resistance",
                                                                            "increased_resistance",
                                                                            "reduced_resistance",
                                                                            "increased_risk_of_toxicity",
                                                                            "reduced_risk_of_toxicity",
                                                                            "altered_toxicity",
                                                                            "adverse_drug_reaction",
                                                                            "indication",
                                                                            "contraindication",
                                                                            "dosing_alteration",
                                                                            "increased_dose",
                                                                            "reduced_dose",
                                                                            "increased_monitoring",
                                                                            "increased_efficacy",
                                                                            "reduced_efficacy",
                                                                            "altered_efficacy"
                                                                        ],
                                                                        "type": "enum"
                                                                    }
                                                                }
                                                            ],
                                                            "name": "DrugResponse",
                                                            "type": "record"
                                                        },
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Any other clinical intervention",
                                                "name": "otherInterventions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "Intervention",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "Therapy",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "diagnostic",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this prognosis can be found",
                                                "name": "referenceUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Sources if known",
                                                "name": "sources",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "References",
                                                "name": "references",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Biomarkers",
                                                "name": "biomarkers",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Associated conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Diagnosis",
                                                "name": "diagnosis",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Diagnosis status",
                                                "name": "diagnosisStatus",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Other condition",
                                                "name": "otherCondition",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "Diagnostic",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "otherAction",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this action can be found",
                                                "name": "referenceUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Action identifier",
                                                "name": "identifier",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Sources if known",
                                                "name": "sources",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Action type",
                                                "name": "actionType",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Associated conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Other attributes",
                                                "name": "otherAttributes",
                                                "type": [
                                                    "null",
                                                    {
                                                        "type": "map",
                                                        "values": "string"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "OtherAction",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "Actions",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "This is the score provided to reflect a variant's likelihood of explaining the phenotype using a specific\n        mode of Inheritance. This may be the result of different scoring systems",
            "name": "score",
            "type": [
                "null",
                "float"
            ]
        },
        {
            "doc": "Other scores that the interpretation provider may add (for example phenotypically informed or family\n        informed scores)",
            "name": "vendorSpecificScores",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "float"
                }
            ]
        },
        {
            "doc": "Variant classification",
            "name": "variantClassification",
            "type": [
                "null",
                {
                    "doc": "The variant classification according to different properties.",
                    "fields": [
                        {
                            "doc": "The variant's clinical significance.",
                            "name": "clinicalSignificance",
                            "type": [
                                "null",
                                {
                                    "name": "ClinicalSignificance",
                                    "symbols": [
                                        "benign",
                                        "likely_benign",
                                        "likely_pathogenic",
                                        "pathogenic",
                                        "uncertain_significance"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        },
                        {
                            "doc": "The variant's pharmacogenomics classification.",
                            "name": "drugResponseClassification",
                            "type": [
                                "null",
                                "DrugResponseClassification"
                            ]
                        },
                        {
                            "doc": "The variant's trait association.",
                            "name": "traitAssociation",
                            "type": [
                                "null",
                                {
                                    "name": "TraitAssociation",
                                    "symbols": [
                                        "established_risk_allele",
                                        "likely_risk_allele",
                                        "uncertain_risk_allele",
                                        "protective"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        },
                        {
                            "doc": "The variant's tumorigenesis classification.",
                            "name": "tumorigenesisClassification",
                            "type": [
                                "null",
                                {
                                    "name": "TumorigenesisClassification",
                                    "symbols": [
                                        "driver",
                                        "passenger",
                                        "modifier"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        },
                        {
                            "doc": "The variant functional effect",
                            "name": "functionalEffect",
                            "type": [
                                "null",
                                {
                                    "name": "VariantFunctionalEffect",
                                    "symbols": [
                                        "dominant_negative_variant",
                                        "gain_of_function_variant",
                                        "lethal_variant",
                                        "loss_of_function_variant",
                                        "loss_of_heterozygosity",
                                        "null_variant"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        }
                    ],
                    "name": "VariantClassification",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "Guidelines based Variant classification",
            "name": "guidelineBasedVariantClassification",
            "type": [
                "null",
                {
                    "doc": "Variant classification based on guidlines, AMP and ACMG are supported",
                    "fields": [
                        {
                            "name": "acmgVariantClassification",
                            "type": [
                                "null",
                                {
                                    "doc": "Full record for the ACMG variant clasiffication, including all selectedd evidences and the final classification.",
                                    "fields": [
                                        {
                                            "name": "acmgEvidences",
                                            "type": {
                                                "items": {
                                                    "doc": "AcmgEvidence. This should be buit for each one of the evidences assing to a variants following the ACMG guidelines.\n    An AcmgEvidence, should map with one of the criteria defined, i.e, PVS1, BA1, PM1...",
                                                    "fields": [
                                                        {
                                                            "doc": "Evidence category as defined in ACMG guidelines",
                                                            "name": "category",
                                                            "type": {
                                                                "doc": "Each ACMG criterion is classified in one of these categories",
                                                                "name": "AcmgEvidenceCategory",
                                                                "symbols": [
                                                                    "population_data",
                                                                    "computational_and_predictive_data",
                                                                    "functional_data",
                                                                    "segregation_data",
                                                                    "de_novo_data",
                                                                    "allelic_data",
                                                                    "other_database",
                                                                    "other_data"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        },
                                                        {
                                                            "doc": "Evidence type: bening or pathogenic",
                                                            "name": "type",
                                                            "type": {
                                                                "doc": "Each ACMG cirterion will be classifed as bening or pathogenic",
                                                                "name": "AcmgEvidenceType",
                                                                "symbols": [
                                                                    "bening",
                                                                    "pathogenic"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        },
                                                        {
                                                            "doc": "Weight categories as described in ACMG guideline",
                                                            "name": "weight",
                                                            "type": {
                                                                "doc": "Each ACMG criterion is weighted using the following terms:\n\n* `stand_alone`: `A`, stand-alone applied for benign variant critieria `(BA1)`\n* `supporting`: `P`, supporting applied for benign variant critieria `(BP1-6)` and pathogenic variant criteria `(PP1-5)`\n* `moderate`: `M`, moderate applied for pathogenic variant critieria (PM1-6)\n* `strong`: `S`, strong applied for pathogenic variant critieria (PS1-4)\n* `very_strong`: `S`, Very Stong applied for pathogenic variant critieria (PVS1)",
                                                                "name": "AcmgEvidenceWeight",
                                                                "symbols": [
                                                                    "stand_alone",
                                                                    "supporting",
                                                                    "moderate",
                                                                    "strong",
                                                                    "very_strong"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        },
                                                        {
                                                            "doc": "modifier of the strength, together define each creteria, i.e the 2 in PM2",
                                                            "name": "modifier",
                                                            "type": "int"
                                                        },
                                                        {
                                                            "doc": "Activation Strength",
                                                            "name": "activationStrength",
                                                            "type": [
                                                                "null",
                                                                {
                                                                    "doc": "Activation Strength enumeration:\n* `strong`\n* `moderate`\n* `supporting`",
                                                                    "name": "ActivationStrength",
                                                                    "symbols": [
                                                                        "strong",
                                                                        "moderate",
                                                                        "supporting"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "doc": "Description of the evidence",
                                                            "name": "description",
                                                            "type": [
                                                                "null",
                                                                "string"
                                                            ]
                                                        }
                                                    ],
                                                    "name": "AcmgEvidence",
                                                    "type": "record"
                                                },
                                                "type": "array"
                                            }
                                        },
                                        {
                                            "name": "clinicalSignificance",
                                            "type": "ClinicalSignificance"
                                        },
                                        {
                                            "name": "assessment",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        }
                                    ],
                                    "name": "AcmgVariantClassification",
                                    "type": "record"
                                }
                            ]
                        },
                        {
                            "name": "ampVariantClassification",
                            "type": [
                                "null",
                                {
                                    "doc": "Full Variant classification acording to AMP guideline, including all supporting evidences and the final\n    assessment",
                                    "fields": [
                                        {
                                            "doc": "List of AMP evidences",
                                            "name": "ampEvidences",
                                            "type": {
                                                "items": {
                                                    "doc": "Evidences as defined in AMP guidelines, they are composed by a evidence type (first column in the evidence table of\n    the guidlines) and a assessment of the evicence, this last one will define the streght of the evidence, supporting\n    the variant to be classified as TierI-IV",
                                                    "fields": [
                                                        {
                                                            "doc": "AMP evidence type according to Guidlines, i.e germline_database_presence",
                                                            "name": "type",
                                                            "type": {
                                                                "doc": "Type of evidence in the AMP guideline",
                                                                "name": "AmpEvidenceType",
                                                                "symbols": [
                                                                    "mutation_type",
                                                                    "therapies",
                                                                    "variant_frequencies",
                                                                    "potential_germline",
                                                                    "population_database_presence",
                                                                    "germline_database_presence",
                                                                    "somatic_database_presence",
                                                                    "impact_predictive_software",
                                                                    "pathway_involvement",
                                                                    "publications"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        },
                                                        {
                                                            "doc": "Assessment for AMP evidence, i.e Present in ClinVar",
                                                            "name": "evidenceAssessment",
                                                            "type": "string"
                                                        }
                                                    ],
                                                    "name": "AmpEvidence",
                                                    "type": "record"
                                                },
                                                "type": "array"
                                            }
                                        },
                                        {
                                            "doc": "Final Clasification taken in account the evidences",
                                            "name": "ampTier",
                                            "type": {
                                                "doc": "AMP tier:\n* `TierI`: Variants of Strong Clinical Significance\n* `TierII`: Variants of Potential Clinical Significance\n* `TierIII`: Variants of Unknown Clinical Significance\n* `TierIV`: Benign or Likely Benign Variants",
                                                "name": "AmpTier",
                                                "symbols": [
                                                    "tierI",
                                                    "tierII",
                                                    "tierIII",
                                                    "tierIV"
                                                ],
                                                "type": "enum"
                                            }
                                        },
                                        {
                                            "doc": "Clinical or Experimental evicence",
                                            "name": "ampClincialOrExperimentalEvidence",
                                            "type": [
                                                "null",
                                                {
                                                    "items": {
                                                        "doc": "Amp Clinical or Experimental Evidence, the level will define the overal clasification of the variant together with\n    the tiering.",
                                                        "fields": [
                                                            {
                                                                "doc": "As denined in AMP guidelines: therapeutic, diagnosis or prognosis",
                                                                "name": "category",
                                                                "type": {
                                                                    "doc": "Categories of Clinical and/or Experimental Evidence as defined in AMP guidelines",
                                                                    "name": "AmpClinicalOrExperimentalEvidenceCategory",
                                                                    "symbols": [
                                                                        "therapeutic",
                                                                        "diagnosis",
                                                                        "prognosis"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            },
                                                            {
                                                                "doc": "As denined in AMP guidelines: levelA, levelB, levelC, levelD",
                                                                "name": "level",
                                                                "type": {
                                                                    "doc": "Levels for categories of Clinical and/or Experimental Evidence as defined in AMP guidelines",
                                                                    "name": "AmpClinicalOrExperimentalEvidenceLevel",
                                                                    "symbols": [
                                                                        "levelA",
                                                                        "levelB",
                                                                        "levelC",
                                                                        "levelD"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            },
                                                            {
                                                                "doc": "Description of the evidence",
                                                                "name": "description",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            }
                                                        ],
                                                        "name": "AmpClincialOrExperimentalEvidence",
                                                        "type": "record"
                                                    },
                                                    "type": "array"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Final Assessment",
                                            "name": "assessment",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        }
                                    ],
                                    "name": "AmpVariantClassification",
                                    "type": "record"
                                }
                            ]
                        }
                    ],
                    "name": "GuidelineBasedVariantClassification",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "Algorithm based variant classifications",
            "name": "algorithmBasedVariantClassifications",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Name of the applied algorithm",
                                "name": "algorithmName",
                                "type": "string"
                            },
                            {
                                "doc": "classification",
                                "name": "classification",
                                "type": "string"
                            },
                            {
                                "doc": "rank",
                                "name": "rank",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            },
                            {
                                "doc": "Score",
                                "name": "score",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            }
                        ],
                        "name": "AlgorithmBasedVariantClassification",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "The tier where this variant has been classified. Tier is a property of the model of inheritance and therefore\n        is subject to change depending on the inheritance assumptions",
            "name": "tier",
            "type": [
                "null",
                {
                    "doc": "Variant tiers as defined by Genomics England",
                    "name": "Tier",
                    "symbols": [
                        "NONE",
                        "TIER1",
                        "TIER2",
                        "TIER3",
                        "TIER4",
                        "TIER5",
                        "TIERA",
                        "TIERB"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "The Domain where this variant has been classified.",
            "name": "domain",
            "type": [
                "null",
                {
                    "name": "Domain",
                    "symbols": [
                        "DOMAIN1",
                        "DOMAIN2",
                        "DOMAIN3",
                        "DOMAIN4",
                        "NONE"
                    ],
                    "type": "enum"
                }
            ]
        }
    ],
    "name": "ReportEvent",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}